#include <stdio.h>
#include <mint/sysvars.h>
#include <mint/osbind.h>
#include <mint/falcon.h>

static unsigned long getclk(void)
{
	return (unsigned long)get_sysvar(_hz_200);
}

int main(void)
{
	unsigned long target;
	int nbframes = 0;
	unsigned short mode;
	
	mode = (unsigned short)VsetMode(VM_INQUIRE);
	printf("mode = 0x%04x\n", mode);
/*
	(void)VsetMode(0x03a);
	mode = (unsigned short)VsetMode(VM_INQUIRE);
	printf("mode = 0x%04x\n", mode);
*/
	Vsync();
	target = getclk() + 200;

	while (getclk() < target)
	{
		Vsync();
		++nbframes;
	}
	
	printf("fps = %d\n", nbframes);
	Cnecin();
	
	return 0;
}
